import { DataDefinition } from "@appglue/common/dist/Common/Data/DataDefinition";
export declare function getEmptyDataDefinition(): DataDefinition;
export declare function getFilledDataDefinition(): DataDefinition;
export declare function get5x5StringDataDefinition(list?: boolean, validValues?: string[]): DataDefinition;
export declare function get5x5NumberDataDefinition(list?: boolean): DataDefinition;
export declare function get5x5BooleanDataDefinition(list?: boolean): DataDefinition;
export declare function get5x5DateDataDefinition(list?: boolean): DataDefinition;
export declare function get5x5ObjectDefinition(list?: boolean): DataDefinition;
export declare function get5x5FileDataDefinition(list?: boolean): DataDefinition;
export declare function getOnePersonWithFriends(): DataDefinition;
export declare function getFamilyAddress(): DataDefinition;
export declare const familyAddressDumpData: {
    data: {
        person: {
            firstName: string;
            lastName: string;
            age: number;
            gender: string;
            address: {
                country: string;
                address1: string;
                address2: string;
                city: string;
                postalCode: string;
                peoplelivingthere: {
                    relationship: string;
                    firstName: string;
                    lastName: string;
                    gender: string;
                }[];
            };
        }[];
    };
};
